Open main menu

Extension talk:Recent Changes Cleanup

About this board

Jehovahsays (talkcontribs)

I found a MediaWiki extension named Extension:Recent_Changes_Cleanup. This extension does not work with MediaWiki 1.27 and larger.

It only works with 1.23.x - 1.26.x

I search the Official MediaWiki website for MediaWiki Version 1.25.1

I installed the download into a in a sub folder that i named cleanup.

I connected my database to the MediaWiki Version 1.25.1. I installed the extension and now i can cleanup recent changes page. To see a working example visithttps://www.jehovahsays.net/cleanup/wiki/index.php?title=Special:RecentChangesCleanup

Reply to "Working fix"
213.178.78.90 (talkcontribs)

While the suggested change in RecentChangesCleanup_body.php (see below for 1.27.1) seemed to help, it is still broken with the following error message in Apache error log:

Call to undefined method SkinVector::link() in /[path]/extensions/RecentChangesCleanup/RecentChangesCleanup_body.php on line 96

86.103.198.88 (talkcontribs)

In the source this comes from here:

if ($rc_bot == 0) {
 

            $wgOut->addHtml('<center>' . $skin->link($this->getTitle(), wfMessage('rc-cleanup-hide')->text(), array(), array(
                'action' => 'markasbot',
                'id' => $rc_id
)) . '</center>');
          } else {
$wgOut->addHtml('<center><b><nowiki/>' . $skin->link($this->getTitle(), wfMessage('rc-cleanup-show')->text() , array(), array(
                'action' => 'markasnotbot',
                'id' => $rc_id
)) . '<nowiki/></b></center>');
          }

Would also look forward to this being fixed. ^^

Reply to "Broken in 1.28.0"
DavidSev (talkcontribs)

Open the file RecentChangesCleanup_body.php and change line 59 from:

$skin = $wgUser->getSkin();

to

$skin = $this->getSkin();

It then all works fine.

Reply to "Broken in 1.27.1"

Fatal error in RecentChangesCleanup_body.php

3
Azurite (talkcontribs)

Hi all, After updating to 1.21 (which I know it says isn't supported fully by this extension yet, so I'm wondering if I've discovered a bug?), I get the following error when I try and access the Special page:

Fatal error: Call to undefined function wfLoadExtensionMessages() in /home/*****/public_html/wikific/extensions/RecentChangesCleanup/RecentChangesCleanup_body.php on line 10\

Line 10 is the one that reads "wfLoadExtensionMessages('RecentChangesCleanup');" and all I can find about it refers to the possibility of wfLoadExtensionMessages getting replaced or updated with something different in one of the more current MediaWiki releases.

Is there anything that can be done to resolve this, or should I temporarily disable this extension?

Choshi (talkcontribs)

I see. Yes right now just temporarily disable it. I guess I'll have to see when I upgrade to 1.21. I haven't done that yet because I want to wait for it to stabilize a little. This means I'll also have to test it out on a local machine to see what goes on with other extensions so yea this might take a while before I can get it fixed. I'm assuming commenting that line out at line 10 doesnt work. (using a // before that line)

Ciaran~mediawikiwiki (talkcontribs)

Yes, commenting out that line fixes the problem and the extension then works fine with 1.21.

This post was posted by Ciaran~mediawikiwiki, but signed as Ciaran.

Reply to "Fatal error in RecentChangesCleanup_body.php"
Kghbln (talkcontribs)

I just wrote a plugin that does effectively the same but actually deletes the Recent Changes entry from the database. On trying to create a page for it (with the exact same title as your plugin) I found out about this plugin... Your solution is so much cleaner I'll just abandon mine. Thanks for the plugin!

This post was posted by Kghbln, but signed as Litso.

Choshi (talkcontribs)

Yea, with this one if you need to see which ones have been hidden, you can do "show bots".

Reply to "Lol"
69.246.185.35 (talkcontribs)

Just an FYI to everyone, including the owner of the project hopefully. Could really use this extension right about now!

Choshi (talkcontribs)

hi, the link should be working: . See below to make it work for 1.21.

81.82.196.115 (talkcontribs)

The link does not work, as "The Google Account of a site owner has been disabled because of a perceived violation of the Terms of Service."

Could someone please be so kind and rehost it somewhere?

Kghbln (talkcontribs)

The link changed in the meantime. Just fixed it. Happy downloading.

Reply to "Download link appears to broken!"
FarwayK (talkcontribs)

On the special-page, one of the comments, concerning the creation of a new page, contained some html code, that broke the layout. (it contained <table> ...)
Sending the text (comments, titles etc.) through the htmlspecialchars() fixes this.

BTW this plug-in is working fine with MediaWiki v1.19.0 and v1.19.1

Craig131 (talkcontribs)

Happened to me to. This is an annoying bug because the site layout is completely missing on that page now. Hope it gets fixed eventually?

FarwayK (talkcontribs)

Working in MediaWiki v1.20

My version, including the group permission by 213.196.170.72 and displaying 250 items per page (default 100)

Or do it manually by editing the last lines of RecentChangesCleanup_body.php

              $wgOut->addHTML('<td>' . $rc_user_text . '</td>' . '<td>' . $rc_title . '</td>' . '<td>' . htmlspecialchars($rc_comment) . '  </td>' . '</tr>');
          }
          $wgOut->addHTML('</table>');
          $dbr->freeResult($res);
      }
      // function execute
      } // class
 ?>
Choshi (talkcontribs)

I fixed some stuff as pointed out above. Should work fine for now. Thanks guys, that bug had trouble me as well sometimes.

Reply to "Special page bug"
213.196.170.72 (talkcontribs)

We had the little problem that this extension only checks if someone has more than 500 edits, an administrator (sysop) is not able to access the special page. We solved it by this little change:

In the File RecentChangesCleanup_body.php change the Line 21 to Line 25:

 
if ( !($edit_count > $min_edit_count || $wgUser->isAllowed( 'recentchangescleanup' ))) {
  $wgOut->addHTML('<br>Access to this maintenance related page is limited to editors with atleast ' . $min_edit_count . ' edits or with RecentChangesCleanup right' );
  return;
}

And add following line to your extension settings (often your LocalSettings.php)

$wgGroupPermissions['sysop']['recentchangescleanup'] = true;

Craig131 (talkcontribs)

Doesn't work for me in 1.19.2. Anyone else know how to achieve this? I guess for now I will remove the limit altogether.

Edit: My bad, I made a mistake with your instructions. It works like a charm, thank you.

Reply to "Access to the SpecialPage as Sysop"

Stopped working with an update to 1.18.0

3
FarwayK (talkcontribs)

With the recent update to v1.18.0 this plug-in stopped working for me. The special page doesn't load and the description-field contains just: <RecentChangesCleanup-desc>

Choshi (talkcontribs)

Looks like the recent updates have broken a number of extensions (1.17 got rid of a certain file that people were using). I'll try to fix this and will come back if I find a solution. I'll post a message on your talk page if I find a solution.

Choshi (talkcontribs)

Ok, I updated it for 1.18, should work now.

Reply to "Stopped working with an update to 1.18.0"
There are no older topics
Return to "Recent Changes Cleanup" page.